## org.eclipse.datatools.sqltools.sqlbuilder.model
Class CaseHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.CaseHelper

    public class CaseHelper

extends java.lang.Object

Constructor Summary
`CaseHelper()`

Method Summary
`void` `addElseClause(QueryValueExpression elseExpr)`
`void` `addSearchWhenClause(QuerySearchCondition search, QueryValueExpression result)`
`void` `addSearchWhenClause(QuerySearchCondition search, QueryValueExpression result, int index)`
`void` `addSimpleWhenClause(QueryValueExpression when, QueryValueExpression result)`
`void` `addSimpleWhenClause(QueryValueExpression when, QueryValueExpression result, int index)`
`ValueExpressionCase` `getSQLCaseExpression()`
`void` `setCaseSearchObject(ValueExpressionCaseSearch search)`
`void` `setCaseSimpleObject(ValueExpressionCaseSimple simple)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseHelper

    public CaseHelper()

Method Detail

### addSearchWhenClause

    public void addSearchWhenClause(QuerySearchCondition search,
                                    QueryValueExpression result)

### addSearchWhenClause

    public void addSearchWhenClause(QuerySearchCondition search,
                                    QueryValueExpression result,
                                    int index)

### addSimpleWhenClause

    public void addSimpleWhenClause(QueryValueExpression when,
                                    QueryValueExpression result)

### addSimpleWhenClause

    public void addSimpleWhenClause(QueryValueExpression when,
                                    QueryValueExpression result,
                                    int index)

### addElseClause

    public void addElseClause(QueryValueExpression elseExpr)

### getSQLCaseExpression

    public ValueExpressionCase getSQLCaseExpression()

### setCaseSearchObject

    public void setCaseSearchObject(ValueExpressionCaseSearch search)

### setCaseSimpleObject

    public void setCaseSimpleObject(ValueExpressionCaseSimple simple)